Bug 1302782 - Adjust CRUSH Tunables section needs "sudo"
Adjust CRUSH Tunables section needs "sudo"
Status: CLOSED CURRENTRELEASE
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Documentation (Show other bugs)
1.3.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 1.3.3
Assigned To: John Wilkins
Ramakrishnan Periyasamy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-28 10:42 EST by Ken Dreyer (Red Hat)
Modified: 2016-09-30 13:21 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-30 13:21:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ken Dreyer (Red Hat) 2016-01-28 10:42:25 EST
Description of problem:
The "Adjust CRUSH Tunables" section of quick-ceph-deploy.adoc has the following command:

  ceph osd crush tunables optimal

This command requires the cephx admin keyring. If that keyring was set up by ceph-deploy (as our docs describe with "ceph-deploy admin <calamarinode>), then the "ceph" command will not work if it's run by an unprivileged user on the Calamari admin node. The user must run all cephx-authenticated ceph commands with "sudo".

Version-Release number of selected component (if applicable):
Latest quick-ceph-deploy.adoc for both RHEL and Ubuntu.


Steps to Reproduce:
1. Set up a cluster, following the documentation.
2. As described in the installation guide, run `ceph-deploy admin <calamarinode>` to install the admin keyring to the calamari admin node.
3. Run `ceph osd crush tunables optimal` as described in the guide.


Actual results:
Permission error

Expected results:
The command successfully sets crush tunables

Additional info:
Maybe we want to add "sudo" into the "Storage Strategies" document as well? https://access.redhat.com/documentation/en/red-hat-ceph-storage/1.3/storage-strategies/chapter-9-crush-tunables What do you think?
Comment 3 Ramakrishnan Periyasamy 2016-09-06 07:55:50 EDT
Please provide stage area link to verify this bug. Gitlab access not available.
Comment 5 Ramakrishnan Periyasamy 2016-09-15 06:58:16 EDT
As per the bug "ceph osd crush tunables optimal" command need to be run as "root" user or the command should be prefixed with "sudo".

In Document "2.10. Adjust CRUSH Tunables" Section is not updated accordingly.

Suggesting to add "sudo" prefix to the command (sudo ceph osd crush tunables optimal) or add a note saying that "run this command as root user".
Comment 6 Federico Lucifredi 2016-09-15 08:23:13 EDT
You can say that the command needs to be executed with root privilege and leave it to the admin to know to use sudo on Ubuntu.
Comment 8 Ramakrishnan Periyasamy 2016-09-20 01:09:26 EDT
Verified the document for ubuntu and RHEL.

Note You need to log in before you can comment on or make changes to this bug.